% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/gen-namespace-docs.R,
%   R/gen-namespace-examples.R, R/gen-namespace.R
\name{torch_sin}
\alias{torch_sin}
\title{Sin}
\usage{
torch_sin(self)
}
\arguments{
\item{self}{(Tensor) the input tensor.}
}
\description{
Sin
}
\section{sin(input, out=NULL) -> Tensor }{


Returns a new tensor with the sine of the elements of \code{input}.

\deqn{
    \mbox{out}_{i} = \sin(\mbox{input}_{i})
}
}

\examples{
if (torch_is_installed()) {

a = torch_randn(c(4))
a
torch_sin(a)
}
}
